#ifndef USERSMANAGER_H
#define USERSMANAGER_H

#include "dm_common_global.h"

#include <QObject>

#include "manager.h"
#include "userinfo.h"
#include "structures.h"
#include "stssettings.h"


class DM_COMMONSHARED_EXPORT UsersManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit UsersManager(const UsersPwdList& users,
                          const IconList& icons,
                          StsSettings* stsSettings,
                          QObject* parent = nullptr);
    ~UsersManager() override;

public:
    const UsersData users() const;
    const QString defaultUsername() const;
    void saveDefaultUsername(const QString& username) const;
    static const QString getHostname();

private:
    UsersData m_users;
    QString m_defaultUsername;
    StsSettings* m_stsSettings;
};

#endif // USERSMANAGER_H
