#ifndef GREETERHANDLER_H
#define GREETERHANDLER_H

#include <QSocketNotifier>

#include "managers/localauthmanager.h"
#include "structures.h"


class GreeterHandler : public QObject
{
    Q_OBJECT

public:
    explicit GreeterHandler(const int dmSocket, QObject* parent = nullptr);
    virtual ~GreeterHandler();

signals:
    void successLogin();
    void loginFailed();

public:
    void start();
    void stop();
    static const QString readLastUserSession(const QString& username);
    static const DpyDescriptions getDisplaySessions(const int flags);
    static void doShutdown(const int type, const QString& os = QString());

public slots:
    void handleLoginRequest(const AuthData& data);
    void setSessionType(const QString& session);
    void handleConsoleLoginRequest();
    void switchDisplay(const int vt);

protected slots:
    void handleSocket();

protected:
    QSocketNotifier m_socketNotifier;
};

#endif // GREETERHANDLER_H
